Bug 352533 - Add quick flip buttons to transform docker
Summary: Add quick flip buttons to transform docker
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.9.7
Platform: Other Other
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2015-09-10 20:15 UTC by sqdqsddd
Modified: 2016-07-19 08:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sqdqsddd 2015-09-10 20:15:14 UTC
On SAI if you try to transform a selection, there is 4 buttons that appear to help you do easy tasks quickly : Flip Horizontally/Vertically, Rotate 90° CW/CCW (in SAI, they appear in the equivalent of the "tool options" panel of Krita).
Adding at least the Flip Horizontally/Vertically buttons would be very convenient, so people wouldn't have to spend time clicking on Rotate, then carefully adjusting X/Y to be exactly 180 in the tool options.

Reproducible: Always




the layer menu would have layer flip option, the transform option docker would have flip buttons for the pixels which have transform activated , the main goal is to reduce the time required for simple and recurring transform actions like flip and rotate 90 degree.
Comment 1 Halla Rempt 2015-09-12 08:24:40 UTC
Yes, these would be good to have. It's also really easy to implement, it would be a good getting-started job.
Comment 2 Halla Rempt 2016-01-24 11:36:40 UTC
WISHGROUP: Small Usability Fixes
Comment 3 Dmitry Kazakov 2016-04-21 07:37:14 UTC
We should probably merge the Mirror/Rotate Layer actions and make them Mirror/Rotate Selection if anything is selected. This probably needs a bit of renaming of the actions.
Comment 4 Dmitry Kazakov 2016-07-13 07:55:20 UTC
Added a merging adea as a separate bug 365595
Comment 5 Dmitry Kazakov 2016-07-18 06:03:34 UTC
Fixed in master
Comment 6 Dmitry Kazakov 2016-07-19 08:07:20 UTC
Git commit efc2047b46c479ee2d0913c0a45e038be994c479 by Dmitry Kazakov.
Committed on 19/07/2016 at 08:06.
Pushed by dkazakov into branch 'master'.

Add quick flip buttons to transform docker

https://bugs.kde.org/show_bug.cgi?id=352533

Adds vertical flip, horizontal flip, clockwise rotate
and counter-clockwise rotate buttons to the free
transform docker widget.

Thanks Pulponite for the patch!
Differential Revision: https://phabricator.kde.org/D2127

A  +160  -0    krita/pics/tool_transform/dark_transform_icons_mirror_x.svg
A  +160  -0    krita/pics/tool_transform/dark_transform_icons_mirror_y.svg
A  +104  -0    krita/pics/tool_transform/dark_transform_icons_rotate_ccw.svg
A  +103  -0    krita/pics/tool_transform/dark_transform_icons_rotate_cw.svg
A  +160  -0    krita/pics/tool_transform/light_transform_icons_mirror_x.svg
A  +164  -0    krita/pics/tool_transform/light_transform_icons_mirror_y.svg
A  +104  -0    krita/pics/tool_transform/light_transform_icons_rotate_ccw.svg
A  +103  -0    krita/pics/tool_transform/light_transform_icons_rotate_cw.svg
M  +8    -1    krita/pics/tool_transform/tool-transform-icons.qrc
M  +42   -0    plugins/tools/tool_transform2/kis_tool_transform_config_widget.cpp
M  +5    -0    plugins/tools/tool_transform2/kis_tool_transform_config_widget.h
M  +139  -0    plugins/tools/tool_transform2/wdg_tool_transform.ui

http://commits.kde.org/krita/efc2047b46c479ee2d0913c0a45e038be994c479